﻿using System.Collections.Generic;

namespace SlnMesnac.Model.domain
{
    public class Page
    {
        public int PageIndex { get; set; }
        public int PageSize { get; set; }
        public int TotalCount { get; set; }
        public int TotalPage { get; set; }
        public List<object> Data { get; set; }
        
    }
    
    public class Page<T>:Page
    {
        public List<T> Data { get; set; }

        /// <summary>
        /// 判断有没有下一页
        /// </summary>
        public bool HasNext => TotalPage > PageIndex;
    }
}