using System;
using System.Runtime.Serialization;
using MiniExcelLibs.Attributes;
using SqlSugar;

namespace SlnMesnac.Model.domain
{
    [SugarTable("ScanLog"), Tenant("mes")]
    [DataContract(Name = "ScanLog ɨ־")]
    public class ScanLogModel
    {
        /// <summary>
        ///  
        ///</summary>
        [ExcelColumnName("ʶ"), ExcelColumnWidth(15)]
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        [ExcelColumnName("ɨʱ"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }

        [ExcelColumnName(""), ExcelColumnWidth(15)]
        [SugarColumn(ColumnName = "data_type")]
        public int DataType { get; set; }

        [ExcelColumnName("RFID"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "rfid")]
        public string Rfid { get; set; }

        [ExcelColumnName("ATRʶ"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "code")]
        public string Code { get; set; }

        [ExcelColumnName("OCRʶ"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "ocr")]
        public string Ocr { get; set; }

        [ExcelColumnName("ȫͼ·"), ExcelColumnWidth(50)]
        [SugarColumn(ColumnName = "url")]
        public string Url { get; set; }
    }
}