#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Config
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Config
{
    /// <summary>
    /// PLC配置，通过AppConfig进行获取
    /// </summary>
    #pragma warning disable CS8618 // Non-nullable field 'Data' must contain a non-null value when exiting constructor. Consider declaring the field as nullable.
    public class PlcConfig
    {
        /// <summary>
        /// PLC配置ID
        /// </summary>
        public int configId { get; set; }
        
        /// <summary>
        /// PIC类型
        /// </summary>
        public string plcType { get; set; }
        
        /// <summary>
        /// PLC IP
        /// </summary>
        public string plcIp { get; set; }
        
        /// <summary>
        /// PLC Port
        /// </summary>
        public int plcPort { get; set; }
        
        /// <summary>
        /// PLC Key
        /// </summary>
        public string plcKey { get; set; }
        
        /// <summary>
        /// 是否启用
        /// </summary>
        public bool isFlage { get; set; }
    }
}