#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Config
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Config
{
    /// <summary>
    /// Sql连接配置
    /// </summary>
    #pragma warning disable CS8618 // Non-nullable field 'Data' must contain a non-null value when exiting constructor. Consider declaring the field as nullable.
    public class SqlConfig
    {
        /// <summary>
        /// Sql 配置ID，实体通过该ID关联数据源
        /// </summary>
        public string configId { get; set; }
        
        /// <summary>
        /// 数据库类型，MySql-0;SqlServer-1;Sqlite-2;Oracle-3，4
        /// </summary>
        public int dbType { get; set; }
        
        /// <summary>
        /// 连接字符串
        /// </summary>
        public string connStr { get; set; }
    }
}